For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
      • GETReturns all project tasks that the current user can see.
      • GETReturns all tags of the project tasks.
      • GETReturns all project tasks of the project with the specified id.
      • GETReturns the project task with the specified id.
      • POSTChanges the project of the task with the specified id.
      • GETReturns the type of work for the project with the specified id.
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceProject Tasks

Returns all tags of the project tasks.

GET
https://api.awork.com/api/v1/projects/projecttasks/tags
GET
/api/v1/projects/projecttasks/tags
$curl https://api.awork.com/api/v1/projects/projecttasks/tags \
> -H "Authorization: Bearer <token>"
200Retrieved
1[
2 {
3 "id": "123e4567-e89b-12d3-a456-426614174000",
4 "createdOn": "2022-03-11T15:33:47.100Z",
5 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
6 "updatedOn": "2022-03-11T21:15:00.100Z",
7 "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
8 "name": "Design",
9 "color": "purple"
10 }
11]
<Check title="Required Permissions" icon="key">Any authenticated user.</Check>
Was this page helpful?
Previous

Returns all project tasks of the project with the specified id.

Next
Built with
Required Permissions
Any authenticated user.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

projectIdstringOptionalformat: "uuid"
The id of the project to filter tags by. Returns tags of all projects if not provided.

Response

OK
idstringformat: "uuid"
The id of the entity.
createdOnstringformat: "date-time"
The date this entity was created.
createdBystringformat: "uuid"
The id of the user who created this entity.
updatedOnstringformat: "date-time"
The date this entity was last modified.
updatedBystringformat: "uuid"
The id of the user who last modified this entity.
namestring or null
The name of the tag.
colorstring or null
The color of the tag.